漏洞信息详情

Moodle TeX过滤器远程文件泄露漏洞

  • CNNVD编号:CNNVD-200903-519
  • 危害等级: 中危
  • CVE编号: CVE-2009-1171
  • 漏洞类型: 输入验证
  • 发布时间: 2009-03-30
  • 威胁类型: 远程
  • 更新时间: 2009-04-28
  • 厂        商: moodle
  • 漏洞来源: Christian J. Eibl

漏洞简介

Moodle是一个免费的学习管理和进度管理、可以用来建立在线教育网站的工具。

Moodle 1.6.9+之前的1.6版本,1.7.7+之前的1.7版本,1.8.9之前的1.8版本和1.9.5之前的1.9版本中的Tex过滤器允许用户协助式攻击者借助\"$$\"序列中的一个输入指令,读取任意文件。这会导致LaTeX包含该文件的内容。

漏洞公告

目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:

Debian Linux 5.0 ia-64

Debian moodle_1.8.2.dfsg-3+lenny2_all.deb

http://security.debian.org/pool/updates/main/m/moodle/moodle_1.8.2.dfsg-3+lenny2_all.deb

Ubuntu Ubuntu Linux 8.04 LTS powerpc

Ubuntu moodle_1.8.2-1ubuntu4.2_all.deb

http://security.ubuntu.com/ubuntu/pool/main/m/moodle/moodle_1.8.2-1ubuntu4.2_all.deb

Ubuntu Ubuntu Linux 8.10 powerpc

Ubuntu moodle_1.8.2-1.2ubuntu2.1_all.deb

http://security.ubuntu.com/ubuntu/pool/main/m/moodle/moodle_1.8.2-1.2ubuntu2.1_all.deb

Ubuntu Ubuntu Linux 8.04 LTS sparc

Ubuntu moodle_1.8.2-1ubuntu4.2_all.deb

http://security.ubuntu.com/ubuntu/pool/main/m/moodle/moodle_1.8.2-1ubuntu4.2_all.deb

Debian Linux 5.0 alpha

Debian moodle_1.8.2.dfsg-3+lenny2_all.deb

http://security.debian.org/pool/updates/main/m/moodle/moodle_1.8.2.dfsg-3+lenny2_all.deb

Ubuntu Ubuntu Linux 8.04 LTS amd64

Ubuntu moodle_1.8.2-1ubuntu4.2_all.deb

http://security.ubuntu.com/ubuntu/pool/main/m/moodle/moodle_1.8.2-1ubuntu4.2_all.deb

Debian Linux 5.0 mipsel

Debian moodle_1.8.2.dfsg-3+lenny2_all.deb

http://security.debian.org/pool/updates/main/m/moodle/moodle_1.8.2.dfsg-3+lenny2_all.de

Ubuntu Ubuntu Linux 9.04 sparc

Ubuntu moodle_1.9.4.dfsg-0ubuntu1.1_all.deb

http://security.ubuntu.com/ubuntu/pool/main/m/moodle/moodle_1.9.4.dfsg-0ubuntu1.1_all.deb

Ubuntu Ubuntu Linux 9.04 powerpc

Ubuntu moodle_1.9.4.dfsg-0ubuntu1.1_all.deb

http://security.ubuntu.com/ubuntu/pool/main/m/moodle/moodle_1.9.4.dfsg-0ubuntu1.1_all.deb

Debian Linux 4.0 amd64

Debian moodle_1.6.3-2+etch3_all.deb

http://security.debian.org/pool/updates/main/m/moodle/moodle_1.6.3-2+etch3_all.deb

Debian Linux 4.0 ia-32

Debian moodle_1.6.3-2+etch3_all.deb

http://security.debian.org/pool/updates/main/m/moodle/moodle_1.6.3-2+etch3_all.deb

Debian Linux 4.0 hppa

Debian moodle_1.6.3-2+etch3_all.deb

http://security.debian.org/pool/updates/main/m/moodle/moodle_1.6.3-2+etch3_all.deb

Ubuntu Ubuntu Linux 9.04 i386

Ubuntu moodle_1.9.4.dfsg-0ubuntu1.1_all.deb

http://security.ubuntu.com/ubuntu/pool/main/m/moodle/moodle_1.9.4.dfsg-0ubuntu1.1_all.deb

Ubuntu Ubuntu Linux 8.10 sparc

Ubuntu moodle_1.8.2-1.2ubuntu2.1_all.deb

http://security.ubuntu.com/ubuntu/pool/main/m/moodle/moodle_1.8.2-1.2ubuntu2.1_all.deb

Ubuntu Ubuntu Linux 9.04 lpia

Ubuntu moodle_1.9.4.dfsg-0ubuntu1.1_all.deb

http://security.ubuntu.com/ubuntu/pool/main/m/moodle/moodle_1.9.4.dfsg-0ubuntu1.1_all.de

Debian Linux 4.0 armel

Debian moodle_1.6.3-2+etch3_all.deb

http://security.debian.org/pool/updates/main/m/moodle/moodle_1.6.3-2+etch3_all.deb

Debian Linux 5.0 armel

Debian moodle_1.8.2.dfsg-3+lenny2_all.deb

http://security.debian.org/pool/updates/main/m/moodle/moodle_1.8.2.dfsg-3+lenny2_all.deb

Debian Linux 5.0

  • Debian moodle_1.8.2.dfsg-3+lenny2_all.deb

    http://security.debian.org/pool/updates/main/m/moodle/moodle_1.8.2.dfsg-3+lenny2_all.deb

    Debian Linux 4.0 mipsel

    Debian moodle_1.6.3-2+etch3_all.deb

    http://security.debian.org/pool/updates/main/m/moodle/moodle_1.6.3-2+etch3_all.deb

    Debian Linux 5.0 mips

    Debian moodle_1.8.2.dfsg-3+lenny2_all.deb

    http://security.debian.org/pool/updates/main/m/moodle/moodle_1.8.2.dfsg-3+lenny2_all.deb

    Ubuntu Ubuntu Linux 9.04 amd64

    Ubuntu moodle_1.9.4.dfsg-0ubuntu1.1_all.deb

    http://security.ubuntu.com/ubuntu/pool/main/m/moodle/moodle_1.9.4.dfsg-0ubuntu1.1_all.deb

    Ubuntu Ubuntu Linux 8.10 amd64

    Ubuntu moodle_1.8.2-1.2ubuntu2.1_all.deb

    http://security.ubuntu.com/ubuntu/pool/main/m/moodle/moodle_1.8.2-1.2ubuntu2.1_all.deb

    Debian Linux 4.0 ia-64

    Debian moodle_1.6.3-2+etch3_all.deb

    http://security.debian.org/pool/updates/main/m/moodle/moodle_1.6.3-2+etch3_all.deb>

    Debian Linux 4.0 mips

    Debian moodle_1.6.3-2+etch3_all.deb

    http://security.debian.org/pool/updates/main/m/moodle/moodle_1.6.3-2+etch3_all.deb

    Debian Linux 5.0 sparc

    Debian moodle_1.8.2.dfsg-3+lenny2_all.deb

    http://security.debian.org/pool/updates/main/m/moodle/moodle_1.8.2.dfsg-3+lenny2_all.deb

参考网址

来源: FEDORA

名称: FEDORA-2009-3283

链接: https://www.redhat.com/archives/fedora-package-announce/2009-April/msg00079.html

来源: FEDORA

名称: FEDORA-2009-3280

链接: https://www.redhat.com/archives/fedora-package-announce/2009-April/msg00077.html

来源: UBUNTU

名称: USN-791-2

链接: http://www.ubuntulinux.org/support/documentation/usn/usn-791-2

来源: MILW0RM

名称: 8297

链接: http://www.milw0rm.com/exploits/8297

来源: DEBIAN

名称: DSA-1761

链接: http://www.debian.org/security/2009/dsa-1761

来源: MISC

链接: http://tracker.moodle.org/browse/MDL-18552

来源: SECUNIA

名称: 35570

链接: http://secunia.com/advisories/35570

来源: SECUNIA

名称: 34600

链接: http://secunia.com/advisories/34600

来源: SECUNIA

名称: 34557

链接: http://secunia.com/advisories/34557

来源: SECUNIA

名称: 34517

链接: http://secunia.com/advisories/34517

来源: SUSE

名称: SUSE-SR:2009:009

链接: http://lists.opensuse.org/opensuse-security-announce/2009-04/msg00010.html

来源: cvs.moodle.org

链接: http://cvs.moodle.org/moodle/filter/tex/filter.php?r1=1.18.4.4&r2=1.18.4.5

补丁

    暂无

漏洞信息快速查询

相关漏洞

更多